cURL
curl --request PATCH \
--url https://app.teable.ai/api/admin/setting \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"disallowSignUp":true,"disallowSpaceCreation":true,"disallowSpaceInvitation":true,"enableEmailVerification":true,"enableCreditReward":true,"aiConfig":{"llmProviders":[],"embeddingModel":"string","translationModel":"string","chatModel":{"lg":"string","md":"string","sm":"string","ability":{"image":true,"pdf":true,"webSearch":true,"toolCall":true,"reasoning":true,"imageGeneration":true}},"gatewayModels":[{"id":"string","label":"string","enabled":true,"capabilities":{"image":true,"pdf":true,"webSearch":true,"toolCall":true,"reasoning":true,"imageGeneration":true},"pricing":{"input":"string","output":"string","inputCacheRead":"string","inputCacheWrite":"string","reasoning":"string","image":"string","webSearch":"string"},"rates":{"inputRate":0,"outputRate":0,"cacheReadRate":0,"cacheWriteRate":0,"reasoningRate":0,"imageRate":0,"webSearchRate":0},"isImageModel":true,"defaultFor":["chatLg"],"testedAt":0,"ownedBy":"alibaba","modelType":"language","tags":["reasoning"],"contextWindow":0,"maxTokens":0,"description":"string"}],"capabilities":{"disableActions":["string"]},"aiGatewayApiKey":"string","aiGatewayBaseUrl":"http://example.com","attachmentTest":{"urlMode":{"success":true,"errorMessage":"string"},"base64Mode":{"success":true,"errorMessage":"string"},"testedAt":"string","testedOrigin":"string","recommendedMode":"url"},"attachmentTransferMode":"url","aiGatewayApiKeys":["string"],"vertexByokCredential":{"project":"string","location":"string","googleCredentials":{"privateKey":"string","clientEmail":"string"}},"concurrencyGroups":[{"id":"string","name":"string","taskTypes":[],"keys":[],"perKey":5}],"concurrencyPerKey":1,"enable":true},"enableWaitlist":true,"appConfig":{"apiKey":"string","vercelToken":"string","customDomain":"string","creditCount":0,"v0BaseUrl":"http://example.com","vercelBaseUrl":"http://example.com"},"brandName":"string","canaryConfig":{"enabled":true,"spaceIds":[],"forceV2All":true},"notifyMailTransportConfig":{"senderName":"string","sender":"string","host":"string","port":0,"secure":true,"auth":{"user":"string","pass":"string"}},"automationMailTransportConfig":{"senderName":"string","sender":"string","host":"string","port":0,"secure":true,"auth":{"user":"string","pass":"string"}}}'admin
Patch adminsetting
Get the instance settings
PATCH
/
admin
/
setting
cURL
curl --request PATCH \
--url https://app.teable.ai/api/admin/setting \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"disallowSignUp":true,"disallowSpaceCreation":true,"disallowSpaceInvitation":true,"enableEmailVerification":true,"enableCreditReward":true,"aiConfig":{"llmProviders":[],"embeddingModel":"string","translationModel":"string","chatModel":{"lg":"string","md":"string","sm":"string","ability":{"image":true,"pdf":true,"webSearch":true,"toolCall":true,"reasoning":true,"imageGeneration":true}},"gatewayModels":[{"id":"string","label":"string","enabled":true,"capabilities":{"image":true,"pdf":true,"webSearch":true,"toolCall":true,"reasoning":true,"imageGeneration":true},"pricing":{"input":"string","output":"string","inputCacheRead":"string","inputCacheWrite":"string","reasoning":"string","image":"string","webSearch":"string"},"rates":{"inputRate":0,"outputRate":0,"cacheReadRate":0,"cacheWriteRate":0,"reasoningRate":0,"imageRate":0,"webSearchRate":0},"isImageModel":true,"defaultFor":["chatLg"],"testedAt":0,"ownedBy":"alibaba","modelType":"language","tags":["reasoning"],"contextWindow":0,"maxTokens":0,"description":"string"}],"capabilities":{"disableActions":["string"]},"aiGatewayApiKey":"string","aiGatewayBaseUrl":"http://example.com","attachmentTest":{"urlMode":{"success":true,"errorMessage":"string"},"base64Mode":{"success":true,"errorMessage":"string"},"testedAt":"string","testedOrigin":"string","recommendedMode":"url"},"attachmentTransferMode":"url","aiGatewayApiKeys":["string"],"vertexByokCredential":{"project":"string","location":"string","googleCredentials":{"privateKey":"string","clientEmail":"string"}},"concurrencyGroups":[{"id":"string","name":"string","taskTypes":[],"keys":[],"perKey":5}],"concurrencyPerKey":1,"enable":true},"enableWaitlist":true,"appConfig":{"apiKey":"string","vercelToken":"string","customDomain":"string","creditCount":0,"v0BaseUrl":"http://example.com","vercelBaseUrl":"http://example.com"},"brandName":"string","canaryConfig":{"enabled":true,"spaceIds":[],"forceV2All":true},"notifyMailTransportConfig":{"senderName":"string","sender":"string","host":"string","port":0,"secure":true,"auth":{"user":"string","pass":"string"}},"automationMailTransportConfig":{"senderName":"string","sender":"string","host":"string","port":0,"secure":true,"auth":{"user":"string","pass":"string"}}}'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
200
Update settings successfully.
Last modified on March 5, 2026
Was this page helpful?
⌘I

